PFE 0.33.71

Homepage
SourceForge
Download
Documentation
-Overview
-The PFE Manual
old manual / (book)
-ChangeLog
-Authors
-License (LGPL)
-Wordsets / (book)
-Functions .. (book)
-Dp of ANS Forth
-The 4thTutor
-Forthprimer.pdf
- Old Wordsets
- Old Words List
Forth Links
* Forth Repository
* Taygeta Compilation
* TinyBoot FirmWare
* FiCL, Free Forth
* Research Vienna
* Research Bournemouth
* zForth WebRing
Other Links
* Tektronix/MPT
* Forth Org. (FIG)
* Forth Inc.
* MPE Ltd. Forths
* SF Win32Forth
* PD Win32Forth
* Neil Bawd

generated
(C) Guido U. Draheim
guidod@gmx.de

## EDIT

> - builtin forth editor

`EDIT-BLOCK``( blk -- )``` => `[FORTH]`

  start the internal block-editor on the assigned block

  primitive code = [p4_edit_block]

`EDIT-TEXT``` => `[FORTH]`

  (no description)

  primitive code = [p4_edit_text]

`EDIT-ERROR``( -- )``` => `[FORTH]`

  if an error occured, this routine can be called to invoke an appropriate `EDITOR` (see also `EDIT-BLOCK`)

  primitive code = [p4_edit_error]

`EDIT-BLOCK-START``` => `"FORTH"`

  (no description)

  primitive code = [p4_edit_block]